<?php 
defined( '_JEXEC' ) or die( 'Restricted access' ); 

error_reporting(E_ALL ^E_NOTICE);
error_reporting(0);

require_once( JApplicationHelper::getPath( 'admin_functions' ) );
require_once( JApplicationHelper::getPath( 'toolbar_html' ) );

$task	       = JRequest::getVar( 'task', '' );
$directory   = JRequest::getVar( 'directory', jxInitialDirectory() );
$destination = JRequest::getVar( 'destination', jxInitialDirectory() );

switch ( $task ) {
	
    case "copymove":
      jxToolBar::copymove();
      break;

    case "applyfile":
    case "editfile":
      jxToolBar::editfile();
      break;

  case "uploadfiles":
  case "upload":
      jxToolBar::upload();
      break;
  
  case "applyconfig":
  case "config":
      jxToolBar::config();
      break;

  case "recycle":
  case "restore":
  case "delete":
  case "forever":
      jxToolBar::recycle();
      break;
      
  case "up":
      jxToolBar::_default(jxDirectoryUp($directory));
      break;
  
  case "goto":
      $directory = $destination;
  case 'applyuser':
  case 'adduser':
  default:
		jxToolBar::_default($directory);
		break;
}
 ?>